import * as ui from 'mojang-minecraft-ui'
import { world, EntityQueryOptions } from 'mojang-minecraft'
import { ActionFormData, ModalFormData } from 'mojang-minecraft-ui'


import { LogType } from './config/price.js'
import { StoneType } from './config/price.js'
import { GlassType } from './config/price.js'
import { WoolType } from './config/price.js'
import { ConcreteType } from './config/price.js'
import { TerracottaType } from './config/price.js'
import { OverworldType } from './config/price.js'
import { NetherType } from './config/price.js'
import { TheEndType } from './config/price.js'
import { FunctionalType } from './config/price.js'
import { RedstoneType } from './config/price.js'
import { HelmetType } from './config/price.js'
import { ChestplateType } from './config/price.js'
import { LeggingsType } from './config/price.js'
import { BootsType } from './config/price.js'
import { SwordType } from './config/price.js'
import { AxeType } from './config/price.js'
import { PickaxeType } from './config/price.js'
import { ShovelType } from './config/price.js'
import { HoeType } from './config/price.js'
import { UtilitiesType } from './config/price.js'
import { RawFoodType } from './config/price.js'
import { CookedType } from './config/price.js'
import { MiscellaneousType } from './config/price.js'
import { FarmSeedType } from './config/price.js'
import { FarmCropType } from './config/price.js'
import { SaplingType } from './config/price.js'
import { DyesType } from './config/price.js'
import { OresType } from './config/price.js'
import { DropsType } from './config/price.js'
import { AnimalType } from './config/price.js'
import { UndeadType } from './config/price.js'
import { SpawnerType } from './config/price.js'
import { BottleType } from './config/price.js'
import { SplashType } from './config/price.js'
import { LingeringType } from './config/price.js'
world.events.beforeItemUse.subscribe(eventData => {
    let player = eventData.source
    var score = getScore(player.name, money)
    if (eventData.item.id == 'engine:book_ui') { 
        Menu(player)
        player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
        player.runCommand(
        'scoreboard objectives add money dummy'//OBJECTIVES 
      )
    }
})

const money = "money";

function getScore(player, objective) {
    try {
       return parseInt(world.getDimension('overworld').runCommand(`scoreboard players test "${player}" "${objective}" * *`)?.statusMessage?.match(/-?\d+/));
    } catch (e) {
       return 0;
    }
 };

function Menu(player) {
  const form = new ActionFormData()
  form.title("Shop")
  form.body(` \n§6Name : §5${
        player.name
      }\n§aMoney : §a$${getScore(
        player.name,
        money
      )}`)
  form.button('Building Blocks', 'textures/blocks/brick')
  form.button('Natural Blocks', 'textures/blocks/grass_side_carried')
  form.button('Functional Blocks', 'textures/blocks/crafting_table_front')
  form.button('Redstone Tools', 'textures/items/redstone_dust')
  form.button('Equipments & Utilites', 'textures/items/diamond_axe')
  form.button('Foods & Farms', 'textures/items/apple_golden')
  form.button('Dyes', 'textures/items/dye_powder_red')
  form.button('Ores', 'textures/items/diamond')
  form.button('Mob Drops', 'textures/items/leather')
  form.button('Spawn Eggs', 'textures/items/egg_chicken')
  form.button('Potions', 'textures/items/potion_bottle_heal')
  form.button('Transfer Money', 'textures/ui/MCoin')
  form.button('§l§4EXIT', 'textures/blocks/barrier')
  form.show(player).then(result => {

    if (result.selection == 0) {
    BuildingBlocks(player); 
    player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
    if (result.selection == 1) {
    NaturalBlocks(player);
    player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
    if (result.selection == 2) {
    FunctionalBlocks(player);
    player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
    if (result.selection == 3) {
    RedstoneTools(player);
    player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
    if (result.selection == 4) {
    EquipmentsUtilities(player);
    player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
    if (result.selection == 5) {
    Foods(player);
    player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
    if (result.selection == 6) {
    Dyes(player);
    player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
    if (result.selection == 7) {
    Ores(player);
    player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
    if (result.selection == 8) {
    MobDrops(player);
    player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
    if (result.selection == 9) {
    SpawnEggs(player);
    player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
    if (result.selection == 10) {
    Potions(player);
    player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
    if (result.selection == 11) {
    Transfer(player);
        player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
    if (result.selection == 12) {
        player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
  })
}

//Block
function BuildingBlocks(player) {
  const form = new ActionFormData()
  form.title("Building Blocks")
  form.body(` \n§6Name : §5${
        player.name
      }\n§aMoney : §a$${getScore(
        player.name,
        money
      )}`)
    form.button('Wood Blocks', 'textures/blocks/log_oak')
    form.button('Stone Blocks', 'textures/blocks/stone')
    form.button('Glass Blocks', 'textures/blocks/glass')
    form.button('Wool Blocks', 'textures/blocks/wool_colored_red')
    form.button('Concrete Blocks', 'textures/blocks/concrete_white')
    form.button('Terracotta Blocks', 'textures/blocks/hardened_clay')
    form.button('§l§cBACK', 'textures/blocks/barrier')
    form.show(player).then((result) => {
    	
    if (result.selection == 0) {
      Wood(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
    if (result.selection == 1) {
      Stone(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
    if (result.selection == 2) {
      Glass(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
    if (result.selection == 3) {
      Wool(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
    if (result.selection == 4) {
      Concrete(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
    if (result.selection == 5) {
      Terracotta(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
    if (result.selection == 6) {
      Menu(player);
        player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
  });
}
//Natural Blocks
function NaturalBlocks(player) {
  const form = new ActionFormData()
  form.title("Natural Blocks")
  form.body(` \n§6Name : §5${
        player.name
      }\n§aMoney : §a$${getScore(
        player.name,
        money
      )}`)
    form.button('Overworld', 'textures/blocks/grass_side_carried')
    form.button('Nether', 'textures/blocks/crimson_nylium_side')
    form.button('The End', 'textures/blocks/end_stone')
    form.button('§l§cBACK', 'textures/blocks/barrier')
    form.show(player).then((result) => {
    	
    if (result.selection == 0) {
      Overworld(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
    if (result.selection == 1) {
      Nether(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
    if (result.selection == 2) {
      TheEnd(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
    if (result.selection == 3) {
      Menu(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
  });
}
//Equipments Category
function EquipmentsUtilities(player) {
  const form = new ActionFormData()
  form.title("Equipments & Utilities")
  form.body(` \n§6Name : §5${
        player.name
      }\n§aMoney : §a$${getScore(
        player.name,
        money
      )}`)
    form.button('Helmet', 'textures/items/netherite_helmet')
    form.button('Chestplate', 'textures/items/netherite_chestplate')
    form.button('Leggings', 'textures/items/netherite_leggings')
    form.button('Boots', 'textures/items/netherite_boots')
    form.button('Sword', 'textures/items/netherite_sword')
    form.button('Axe', 'textures/items/netherite_axe')
    form.button('Pickaxe', 'textures/items/netherite_pickaxe')
    form.button('Shovel', 'textures/items/netherite_shovel')
    form.button('Hoe', 'textures/items/netherite_hoe')
    form.button('Utilities', 'textures/items/elytra')
    form.button('§l§cBACK', 'textures/blocks/barrier')
    form.show(player).then((result) => {
   	
    if (result.selection == 0) {
      Helmet(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
    if (result.selection == 1) {
      Chestplate(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
    if (result.selection == 2) {
      Leggings(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
    if (result.selection == 3) {
      Boots(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
    if (result.selection == 4) {
      Sword(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
    if (result.selection == 5) {
      Axe(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
    if (result.selection == 6) {
      Pickaxe(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
    if (result.selection == 7) {
      Shovel(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
    if (result.selection == 8) {
      Hoe(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
    if (result.selection == 9) {
      Utilities(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
    if (result.selection == 10) {
      Menu(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
  });
}
//Foods Category
function Foods(player) {
  const form = new ActionFormData()
  form.title("Foods & Farms")
  form.body(` \n§6Name : §5${
        player.name
      }\n§aMoney : §a$${getScore(
        player.name,
        money
      )}`)
    form.button('Raw Meat Food', "textures/items/beef_raw")
    form.button('Cooked Meat Food', "textures/items/beef_cooked")
    form.button('Miscellaneous Food', "textures/items/cake")
    form.button('Farm Seed', "textures/items/seeds_wheat")
    form.button('Farm Crop', "textures/items/wheat")
    form.button('Farm Sapling', "textures/blocks/sapling_oak")
    form.button('§l§cBACK', 'textures/blocks/barrier')
    form.show(player).then((result) => {
    if (result.selection == 0) {
      RawFood(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
    if (result.selection == 1) {
      CookedFood(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
    if (result.selection == 2) {
      Miscellaneous(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
    if (result.selection == 3) {
      FarmSeed(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
    if (result.selection == 4) {
      FarmCrop(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
    if (result.selection == 5) {
      FarmSapling(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
    if (result.selection == 6) {
      Menu(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
  })
}
//Egg Category
function SpawnEggs(player) {
  const form = new ActionFormData()
  form.title("Spawn Eggs")
  form.body(` \n§6Name : §5${
        player.name
      }\n§aMoney : §a$${getScore(
        player.name,
        money
      )}`)
    form.button('Animal Mob', "textures/items/egg_chicken.png")
    form.button('Undead Mob', "textures/items/egg_zombie.png")
    form.button('Spawner Mob', "textures/blocks/mob_spawner.png")
    form.button('§l§cBACK', 'textures/blocks/barrier')
  form.show(player).then((result) => {
    if (result.selection == 0) {
      Animal(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
    if (result.selection == 1) {
      Undead(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
    if (result.selection == 2) {
      Spawner(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
    if (result.selection == 3) {
      Menu(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
  });
}
function Potions(player) {
  const form = new ActionFormData()
  form.title("Potions")
  form.body(` \n§6Name : §5${
        player.name
      }\n§aMoney : §a$${getScore(
        player.name,
        money
      )}`)
    form.button('Bottle Potion', "textures/items/potion_bottle_heal")
    form.button('Splash Potion', "textures/items/potion_bottle_splash_heal")
    form.button('Lingering Potion', "textures/items/potion_bottle_lingering_heal")
    form.button('§l§cBACK', 'textures/blocks/barrier')
    form.show(player).then((result) => {
    if (result.selection == 0) {
      Bottle(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
    if (result.selection == 1) {
      Splash(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
    if (result.selection == 2) {
      Lingering(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
    if (result.selection == 3) {
      Menu(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
  });
}

//Log Category
function Wood(player) {
  const gui = new ActionFormData();
  gui.title(`Wood Blocks`);
  gui.body(` \n§6Name : §5${
        player.name
      }\n§aMoney : §a$${getScore(
        player.name,
        money
      )}`)
  for (const item of LogType) 
  gui.button(`§l${item.name}\n§r§aPrice: §f$${item.cost}`, 
  `${item.textures}`);
  gui.button('§l§cBACK', 'textures/blocks/barrier')
  gui.show(player).then(result => {
    if (result.isCanceled) 
    return;
    if (result.selection == 21) {
      BuildingBlocks(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
  const item = LogType[result.selection];
  var score = getScore(player.name, money)
    let brick = new ModalFormData() 
    .title(`Wood Blocks`) 
    .textField(`\n§6Name: §5${player.nameTag}\n§aMoney: §a$${score}\n\n§aBuy §6x1 §2${item.name} §6= §2$${item.cost}\n§cSell §6x1 §2${item.name} §6= §2$${item.sell}\n\n§6Amount:`, `§6The Amount you want to Buy or Sell`)
    .toggle('§6SELL §f/§6 BUY', true);
    brick.show(player).then(res => {
    let dataCost = item.cost * res.formValues[0];
    let dataSell = item.sell * res.formValues[0];
    if (res.formValues[1] == true) {
    try{
    player.runCommand(`scoreboard players remove @s[scores={money=${dataCost}..}] money ${dataCost}`);
    player.runCommand(`gamerule sendcommandfeedback false`);
    player.runCommand(`give @s ${item.item} ${res.formValues[0]} ${item.data}`);
    player.runCommand(`gamerule sendcommandfeedback true`);
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You have bought §fx${res.formValues[0]} ${item.name} §a§l$${dataCost}"}]}`)}
    catch (e) {
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You do not have enough money"}]}`)}
    }
    if (res.formValues[1] == false) {
        player.runCommand(`tellraw @s[hasitem={item=${item.item},quantity=${res.formValues[0]}..}] {"rawtext":[{"text":"§r§6You have successfully sold §fx${res.formValues[0]} ${item.name} §a§l$${dataSell}"}]}`);
        player.runCommand(`scoreboard players add @s money ${dataSell}`);
        player.runCommand(`clear @s ${item.item} ${item.data} ${res.formValues[0]}`);
  }
   })
  });
};
//Stone Category
function Stone(player) {
  const gui = new ActionFormData();
  gui.title(`Stone Blocks`);
  gui.body(` \n§6Name : §5${
        player.name
      }\n§aMoney : §a$${getScore(
        player.name,
        money
      )}`)
  for (const item of StoneType) 
  gui.button(`§l${item.name}\n§r§aPrice: §f$${item.cost}`, 
  `${item.textures}`);
  gui.button('§l§cBACK', 'textures/blocks/barrier')
  gui.show(player).then(result => {
    if (result.isCanceled) 
    return;
    if (result.selection == 15) {
      BuildingBlocks(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
  const item = StoneType[result.selection];
  var score = getScore(player.name, money)
    let brick = new ModalFormData() 
    .title(`Stone Blocks`) 
    .textField(`\n§6Name: §5${player.nameTag}\n§aMoney: §a$${score}\n\n§aBuy §6x1 §2${item.name} §6= §2$${item.cost}\n§cSell §6x1 §2${item.name} §6= §2$${item.sell}\n\n§6Amount:`, `§6The Amount you want to Buy or Sell`)
    .toggle('§6SELL §f/§6 BUY', true);
    brick.show(player).then(res => {
    let dataCost = item.cost * res.formValues[0];
    let dataSell = item.sell * res.formValues[0];
    if (res.formValues[1] == true) {
    try{
    player.runCommand(`scoreboard players remove @s[scores={money=${dataCost}..}] money ${dataCost}`);
    player.runCommand(`gamerule sendcommandfeedback false`);
    player.runCommand(`give @s ${item.item} ${res.formValues[0]} ${item.data}`);
    player.runCommand(`gamerule sendcommandfeedback true`);
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You have bought §fx${res.formValues[0]} ${item.name} §a§l$${dataCost}"}]}`)}
    catch (e) {
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You do not have enough money"}]}`)}
    }
    if (res.formValues[1] == false) {
        player.runCommand(`tellraw @s[hasitem={item=${item.item},quantity=${res.formValues[0]}..}] {"rawtext":[{"text":"§r§6You have successfully sold §fx${res.formValues[0]} ${item.name} §a§l$${dataSell}"}]}`);
        player.runCommand(`scoreboard players add @s money ${dataSell}`);
        player.runCommand(`clear @s ${item.item} ${item.data} ${res.formValues[0]}`);
  }
   })
  });
};
//Glass Category
function Glass(player) {
  const gui = new ActionFormData();
  gui.title(`Glass Blocks`);
  gui.body(` \n§6Name : §5${
        player.name
      }\n§aMoney : §a$${getScore(
        player.name,
        money
      )}`)
  for (const item of GlassType) 
  gui.button(`§l${item.name}\n§r§aPrice: §f$${item.cost}`, 
  `${item.textures}`);
  gui.button('§l§cBACK', 'textures/blocks/barrier')
  gui.show(player).then(result => {
    if (result.isCanceled) 
    return;
    if (result.selection == 17) {
      BuildingBlocks(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
  const item = GlassType[result.selection];
  var score = getScore(player.name, money)
    let brick = new ModalFormData() 
    .title(`Glass Blocks`) 
    .textField(`\n§6Name: §5${player.nameTag}\n§aMoney: §a$${score}\n\n§aBuy §6x1 §2${item.name} §6= §2$${item.cost}\n§cSell §6x1 §2${item.name} §6= §2$${item.sell}\n\n§6Amount:`, `§6The Amount you want to Buy or Sell`)
    .toggle('§6SELL §f/§6 BUY', true);
    brick.show(player).then(res => {
    let dataCost = item.cost * res.formValues[0];
    let dataSell = item.sell * res.formValues[0];
    if (res.formValues[1] == true) {
    try{
    player.runCommand(`scoreboard players remove @s[scores={money=${dataCost}..}] money ${dataCost}`);
    player.runCommand(`gamerule sendcommandfeedback false`);
    player.runCommand(`give @s ${item.item} ${res.formValues[0]} ${item.data}`);
    player.runCommand(`gamerule sendcommandfeedback true`);
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You have bought §fx${res.formValues[0]} ${item.name} §a§l$${dataCost}"}]}`)}
    catch (e) {
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You do not have enough money"}]}`)}
    }
    if (res.formValues[1] == false) {
        player.runCommand(`tellraw @s[hasitem={item=${item.item},quantity=${res.formValues[0]}..}] {"rawtext":[{"text":"§r§6You have successfully sold §fx${res.formValues[0]} ${item.name} §a§l$${dataSell}"}]}`);
        player.runCommand(`scoreboard players add @s money ${dataSell}`);
        player.runCommand(`clear @s ${item.item} ${item.data} ${res.formValues[0]}`);
  }
   })
  });
};
//Woll Category
function Wool(player) {
  const gui = new ActionFormData();
  gui.title(`Wool Blocks`);
  gui.body(` \n§6Name : §5${
        player.name
      }\n§aMoney : §a$${getScore(
        player.name,
        money
      )}`)
  for (const item of WoolType) 
  gui.button(`§l${item.name}\n§r§aPrice: §f$${item.cost}`, 
  `${item.textures}`);
  gui.button('§l§cBACK', 'textures/blocks/barrier')
  gui.show(player).then(result => {
    if (result.isCanceled) 
    return;
    if (result.selection == 16) {
      BuildingBlocks(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
  const item = WoolType[result.selection];
  var score = getScore(player.name, money)
    let brick = new ModalFormData() 
    .title(`Wool Blocks`) 
    .textField(`\n§6Name: §5${player.nameTag}\n§aMoney: §a$${score}\n\n§aBuy §6x1 §2${item.name} §6= §2$${item.cost}\n§cSell §6x1 §2${item.name} §6= §2$${item.sell}\n\n§6Amount:`, `§6The Amount you want to Buy or Sell`)
    .toggle('§6SELL §f/§6 BUY', true);
    brick.show(player).then(res => {
    let dataCost = item.cost * res.formValues[0];
    let dataSell = item.sell * res.formValues[0];
    if (res.formValues[1] == true) {
    try{
    player.runCommand(`scoreboard players remove @s[scores={money=${dataCost}..}] money ${dataCost}`);
    player.runCommand(`gamerule sendcommandfeedback false`);
    player.runCommand(`give @s ${item.item} ${res.formValues[0]} ${item.data}`);
    player.runCommand(`gamerule sendcommandfeedback true`);
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You have bought §fx${res.formValues[0]} ${item.name} §a§l$${dataCost}"}]}`)}
    catch (e) {
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You do not have enough money"}]}`)}
    }
    if (res.formValues[1] == false) {
        player.runCommand(`tellraw @s[hasitem={item=${item.item},quantity=${res.formValues[0]}..}] {"rawtext":[{"text":"§r§6You have successfully sold §fx${res.formValues[0]} ${item.name} §a§l$${dataSell}"}]}`);
        player.runCommand(`scoreboard players add @s money ${dataSell}`);
        player.runCommand(`clear @s ${item.item} ${item.data} ${res.formValues[0]}`);
  }
   })
  });
};
//Concrete Category
function Concrete(player) {
  const gui = new ActionFormData();
  gui.title(`Concrete Blocks`);
  gui.body(` \n§6Name : §5${
        player.name
      }\n§aMoney : §a$${getScore(
        player.name,
        money
      )}`)
  for (const item of ConcreteType) 
  gui.button(`§l${item.name}\n§r§aPrice: §f$${item.cost}`, 
  `${item.textures}`);
  gui.button('§l§cBACK', 'textures/blocks/barrier')
  gui.show(player).then(result => {
    if (result.isCanceled) 
    return;
    if (result.selection == 16) {
      BuildingBlocks(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
  const item = ConcreteType[result.selection];
  var score = getScore(player.name, money)
    let brick = new ModalFormData() 
    .title(`Concrete Blocks`) 
    .textField(`\n§6Name: §5${player.nameTag}\n§aMoney: §a$${score}\n\n§aBuy §6x1 §2${item.name} §6= §2$${item.cost}\n§cSell §6x1 §2${item.name} §6= §2$${item.sell}\n\n§6Amount:`, `§6The Amount you want to Buy or Sell`)
    .toggle('§6SELL §f/§6 BUY', true);
    brick.show(player).then(res => {
    let dataCost = item.cost * res.formValues[0];
    let dataSell = item.sell * res.formValues[0];
    if (res.formValues[1] == true) {
    try{
    player.runCommand(`scoreboard players remove @s[scores={money=${dataCost}..}] money ${dataCost}`);
    player.runCommand(`gamerule sendcommandfeedback false`);
    player.runCommand(`give @s ${item.item} ${res.formValues[0]} ${item.data}`);
    player.runCommand(`gamerule sendcommandfeedback true`);
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You have bought §fx${res.formValues[0]} ${item.name} §a§l$${dataCost}"}]}`)}
    catch (e) {
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You do not have enough money"}]}`)}
    }
    if (res.formValues[1] == false) {
        player.runCommand(`tellraw @s[hasitem={item=${item.item},quantity=${res.formValues[0]}..}] {"rawtext":[{"text":"§r§6You have successfully sold §fx${res.formValues[0]} ${item.name} §a§l$${dataSell}"}]}`);
        player.runCommand(`scoreboard players add @s money ${dataSell}`);
        player.runCommand(`clear @s ${item.item} ${item.data} ${res.formValues[0]}`);
  }
   })
  });
};
//Terracotta Category
function Terracotta(player) {
  const gui = new ActionFormData();
  gui.title(`Terracotta Blocks`);
  gui.body(` \n§6Name : §5${
        player.name
      }\n§aMoney : §a$${getScore(
        player.name,
        money
      )}`)
  for (const item of TerracottaType) 
  gui.button(`§l${item.name}\n§r§aPrice: §f$${item.cost}`, 
  `${item.textures}`);
  gui.button('§l§cBACK', 'textures/blocks/barrier')
  gui.show(player).then(result => {
    if (result.isCanceled) 
    return;
    if (result.selection == 16) {
      BuildingBlocks(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
  const item = TerracottaType[result.selection];
  var score = getScore(player.name, money)
    let brick = new ModalFormData() 
    .title(`Terracotta Blocks`) 
    .textField(`\n§6Name: §5${player.nameTag}\n§aMoney: §a$${score}\n\n§aBuy §6x1 §2${item.name} §6= §2$${item.cost}\n§cSell §6x1 §2${item.name} §6= §2$${item.sell}\n\n§6Amount:`, `§6The Amount you want to Buy or Sell`)
    .toggle('§6SELL §f/§6 BUY', true);
    brick.show(player).then(res => {
    let dataCost = item.cost * res.formValues[0];
    let dataSell = item.sell * res.formValues[0];
    if (res.formValues[1] == true) {
    try{
    player.runCommand(`scoreboard players remove @s[scores={money=${dataCost}..}] money ${dataCost}`);
    player.runCommand(`gamerule sendcommandfeedback false`);
    player.runCommand(`give @s ${item.item} ${res.formValues[0]} ${item.data}`);
    player.runCommand(`gamerule sendcommandfeedback true`);
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You have bought §fx${res.formValues[0]} ${item.name} §a§l$${dataCost}"}]}`)}
    catch (e) {
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You do not have enough money"}]}`)}
    }
    if (res.formValues[1] == false) {
        player.runCommand(`tellraw @s[hasitem={item=${item.item},quantity=${res.formValues[0]}..}] {"rawtext":[{"text":"§r§6You have successfully sold §fx${res.formValues[0]} ${item.name} §a§l$${dataSell}"}]}`);
        player.runCommand(`scoreboard players add @s money ${dataSell}`);
        player.runCommand(`clear @s ${item.item} ${item.data} ${res.formValues[0]}`);
  }
   })
  });
};
//Overworld Category
function Overworld(player) {
  const gui = new ActionFormData();
  gui.title(`Overworld`);
  gui.body(` \n§6Name : §5${
        player.name
      }\n§aMoney : §a$${getScore(
        player.name,
        money
      )}`)
  for (const item of OverworldType) 
  gui.button(`§l${item.name}\n§r§aPrice: §f$${item.cost}`, 
  `${item.textures}`);
  gui.button('§l§cBACK', 'textures/blocks/barrier')
  gui.show(player).then(result => {
    if (result.isCanceled) 
    return;
    if (result.selection == 29) {
      NaturalBlocks(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
  const item = OverworldType[result.selection];
  var score = getScore(player.name, money)
    let brick = new ModalFormData() 
    .title(`Overworld`) 
    .textField(`\n§6Name: §5${player.nameTag}\n§aMoney: §a$${score}\n\n§aBuy §6x1 §2${item.name} §6= §2$${item.cost}\n§cSell §6x1 §2${item.name} §6= §2$${item.sell}\n\n§6Amount:`, `§6The Amount you want to Buy or Sell`)
    .toggle('§6SELL §f/§6 BUY', true);
    brick.show(player).then(res => {
    let dataCost = item.cost * res.formValues[0];
    let dataSell = item.sell * res.formValues[0];
    if (res.formValues[1] == true) {
    try{
    player.runCommand(`scoreboard players remove @s[scores={money=${dataCost}..}] money ${dataCost}`);
    player.runCommand(`gamerule sendcommandfeedback false`);
    player.runCommand(`give @s ${item.item} ${res.formValues[0]} ${item.data}`);
    player.runCommand(`gamerule sendcommandfeedback true`);
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You have bought §fx${res.formValues[0]} ${item.name} §a§l$${dataCost}"}]}`)}
    catch (e) {
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You do not have enough money"}]}`)}
    }
    if (res.formValues[1] == false) {
        player.runCommand(`tellraw @s[hasitem={item=${item.item},quantity=${res.formValues[0]}..}] {"rawtext":[{"text":"§r§6You have successfully sold §fx${res.formValues[0]} ${item.name} §a§l$${dataSell}"}]}`);
        player.runCommand(`scoreboard players add @s money ${dataSell}`);
        player.runCommand(`clear @s ${item.item} ${item.data} ${res.formValues[0]}`);
  }
   })
  });
};
//Nether Category
function Nether(player) {
  const gui = new ActionFormData();
  gui.title(`Nether`);
  gui.body(` \n§6Name : §5${
        player.name
      }\n§aMoney : §a$${getScore(
        player.name,
        "money"
      )}`)
  for (const item of NetherType) 
  gui.button(`§l${item.name}\n§r§aPrice: §f$${item.cost}`, 
  `${item.textures}`);
  gui.button('§l§cBACK', 'textures/blocks/barrier')
  gui.show(player).then(result => {
    if (result.isCanceled) 
    return;
    if (result.selection == 14) {
      NaturalBlocks(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
  const item = NetherType[result.selection];
  var score = getScore(player.name, money)
    let brick = new ModalFormData() 
    .title(`Nether`) 
    .textField(`\n§6Name: §5${player.nameTag}\n§aMoney: §a$${score}\n\n§aBuy §6x1 §2${item.name} §6= §2$${item.cost}\n§cSell §6x1 §2${item.name} §6= §2$${item.sell}\n\n§6Amount:`, `§6The Amount you want to Buy or Sell`)
    .toggle('§6SELL §f/§6 BUY', true);
    brick.show(player).then(res => {
    let dataCost = item.cost * res.formValues[0];
    let dataSell = item.sell * res.formValues[0];
    if (res.formValues[1] == true) {
    try{
    player.runCommand(`scoreboard players remove @s[scores={money=${dataCost}..}] money ${dataCost}`);
    player.runCommand(`gamerule sendcommandfeedback false`);
    player.runCommand(`give @s ${item.item} ${res.formValues[0]} ${item.data}`);
    player.runCommand(`gamerule sendcommandfeedback true`);
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You have bought §fx${res.formValues[0]} ${item.name} §a§l$${dataCost}"}]}`)}
    catch (e) {
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You do not have enough money"}]}`)}
    }
    if (res.formValues[1] == false) {
        player.runCommand(`tellraw @s[hasitem={item=${item.item},quantity=${res.formValues[0]}..}] {"rawtext":[{"text":"§r§6You have successfully sold §fx${res.formValues[0]} ${item.name} §a§l$${dataSell}"}]}`);
        player.runCommand(`scoreboard players add @s money ${dataSell}`);
        player.runCommand(`clear @s ${item.item} ${item.data} ${res.formValues[0]}`);
  }
   })
  });
};
//The End Category
function TheEnd(player) {
  const gui = new ActionFormData();
  gui.title(`The End`);
  gui.body(` \n§6Name : §5${
        player.name
      }\n§aMoney : §a$${getScore(
        player.name,
        "money"
      )}`)
  for (const item of TheEndType) 
  gui.button(`§l${item.name}\n§r§aPrice: §f$${item.cost}`, 
  `${item.textures}`);
  gui.button('§l§cBACK', 'textures/blocks/barrier')
  gui.show(player).then(result => {
    if (result.isCanceled) 
    return;
    if (result.selection == 6) {
      NaturalBlocks(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
  const item = TheEndType[result.selection];
  var score = getScore(player.name, money)
    let brick = new ModalFormData() 
    .title(`The End`) 
    .textField(`\n§6Name: §5${player.nameTag}\n§aMoney: §a$${score}\n\n§aBuy §6x1 §2${item.name} §6= §2$${item.cost}\n§cSell §6x1 §2${item.name} §6= §2$${item.sell}\n\n§6Amount:`, `§6The Amount you want to Buy or Sell`)
    .toggle('§6SELL §f/§6 BUY', true);
    brick.show(player).then(res => {
    let dataCost = item.cost * res.formValues[0];
    let dataSell = item.sell * res.formValues[0];
    if (res.formValues[1] == true) {
    try{
    player.runCommand(`scoreboard players remove @s[scores={money=${dataCost}..}] money ${dataCost}`);
    player.runCommand(`gamerule sendcommandfeedback false`);
    player.runCommand(`give @s ${item.item} ${res.formValues[0]} ${item.data}`);
    player.runCommand(`gamerule sendcommandfeedback true`);
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You have bought §fx${res.formValues[0]} ${item.name} §a§l$${dataCost}"}]}`)}
    catch (e) {
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You do not have enough money"}]}`)}
    }
    if (res.formValues[1] == false) {
        player.runCommand(`tellraw @s[hasitem={item=${item.item},quantity=${res.formValues[0]}..}] {"rawtext":[{"text":"§r§6You have successfully sold §fx${res.formValues[0]} ${item.name} §a§l$${dataSell}"}]}`);
        player.runCommand(`scoreboard players add @s money ${dataSell}`);
        player.runCommand(`clear @s ${item.item} ${item.data} ${res.formValues[0]}`);
  }
   })
  });
};
//Functional C Category
function FunctionalBlocks(player) {
  const gui = new ActionFormData();
  gui.title(`Functional Blocks`);
  gui.body(` \n§6Name : §5${
        player.name
      }\n§aMoney : §a$${getScore(
        player.name,
        "money"
      )}`)
  for (const item of FunctionalType) 
  gui.button(`§l${item.name}\n§r§aPrice: §f$${item.cost}`, 
  `${item.textures}`);
  gui.button('§l§cBACK', 'textures/blocks/barrier')
  gui.show(player).then(result => {
    if (result.isCanceled) 
    return;
    if (result.selection == 28) {
      Menu(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
  const item = FunctionalType[result.selection];
  var score = getScore(player.name, money)
    let brick = new ModalFormData() 
    .title(`Functional Blocks`) 
    .textField(`\n§6Name: §5${player.nameTag}\n§aMoney: §a$${score}\n\n§aBuy §6x1 §2${item.name} §6= §2$${item.cost}\n§cSell §6x1 §2${item.name} §6= §2$${item.sell}\n\n§6Amount:`, `§6The Amount you want to Buy or Sell`)
    .toggle('§6SELL §f/§6 BUY', true);
    brick.show(player).then(res => {
    let dataCost = item.cost * res.formValues[0];
    let dataSell = item.sell * res.formValues[0];
    if (res.formValues[1] == true) {
    try{
    player.runCommand(`scoreboard players remove @s[scores={money=${dataCost}..}] money ${dataCost}`);
    player.runCommand(`gamerule sendcommandfeedback false`);
    player.runCommand(`give @s ${item.item} ${res.formValues[0]} ${item.data}`);
    player.runCommand(`gamerule sendcommandfeedback true`);
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You have bought §fx${res.formValues[0]} ${item.name} §a§l$${dataCost}"}]}`)}
    catch (e) {
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You do not have enough money"}]}`)}
    }
    if (res.formValues[1] == false) {
        player.runCommand(`tellraw @s[hasitem={item=${item.item},quantity=${res.formValues[0]}..}] {"rawtext":[{"text":"§r§6You have successfully sold §fx${res.formValues[0]} ${item.name} §a§l$${dataSell}"}]}`);
        player.runCommand(`scoreboard players add @s money ${dataSell}`);
        player.runCommand(`clear @s ${item.item} ${item.data} ${res.formValues[0]}`);
  }
   })
  });
};
//Redstone Category
function RedstoneTools(player) {
  const gui = new ActionFormData();
  gui.title(`Redstone Tools`);
  gui.body(` \n§6Name : §5${
        player.name
      }\n§aMoney : §a$${getScore(
        player.name,
        "money"
      )}`)
  for (const item of RedstoneType) 
  gui.button(`§l${item.name}\n§r§aPrice: §f$${item.cost}`, 
  `${item.textures}`);
  gui.button('§l§cBACK', 'textures/blocks/barrier')
  gui.show(player).then(result => {
    if (result.isCanceled) 
    return;
    if (result.selection == 19) {
      Menu(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
  const item = RedstoneType[result.selection];
  var score = getScore(player.name, money)
    let brick = new ModalFormData() 
    .title(`Redstone Tools`) 
    .textField(`\n§6Name: §5${player.nameTag}\n§aMoney: §a$${score}\n\n§aBuy §6x1 §2${item.name} §6= §2$${item.cost}\n§cSell §6x1 §2${item.name} §6= §2$${item.sell}\n\n§6Amount:`, `§6The Amount you want to Buy or Sell`)
    .toggle('§6SELL §f/§6 BUY', true);
    brick.show(player).then(res => {
    let dataCost = item.cost * res.formValues[0];
    let dataSell = item.sell * res.formValues[0];
    if (res.formValues[1] == true) {
    try{
    player.runCommand(`scoreboard players remove @s[scores={money=${dataCost}..}] money ${dataCost}`);
    player.runCommand(`gamerule sendcommandfeedback false`);
    player.runCommand(`give @s ${item.item} ${res.formValues[0]} ${item.data}`);
    player.runCommand(`gamerule sendcommandfeedback true`);
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You have bought §fx${res.formValues[0]} ${item.name} §a§l$${dataCost}"}]}`)}
    catch (e) {
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You do not have enough money"}]}`)}
    }
    if (res.formValues[1] == false) {
        player.runCommand(`tellraw @s[hasitem={item=${item.item},quantity=${res.formValues[0]}..}] {"rawtext":[{"text":"§r§6You have successfully sold §fx${res.formValues[0]} ${item.name} §a§l$${dataSell}"}]}`);
        player.runCommand(`scoreboard players add @s money ${dataSell}`);
        player.runCommand(`clear @s ${item.item} ${item.data} ${res.formValues[0]}`);
  }
   })
  });
};
//Helmet
function Helmet(player) {
  const gui = new ActionFormData();
  gui.title(`Helmet`);
  gui.body(` \n§6Name : §5${
        player.name
      }\n§aMoney : §a$${getScore(
        player.name,
        "money"
      )}`)
  for (const item of HelmetType) 
  gui.button(`§l${item.name}\n§r§aPrice: §f$${item.cost}`, 
  `${item.textures}`);
  gui.button('§l§cBACK', 'textures/blocks/barrier')
  gui.show(player).then(result => {
    if (result.isCanceled) 
    return;
    if (result.selection == 6) {
      EquipmentsUtilities(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
  const item = HelmetType[result.selection];
  var score = getScore(player.name, money)
    let brick = new ModalFormData() 
    .title(`Helmet`) 
    .textField(`\n§6Name: §5${player.nameTag}\n§aMoney: §a$${score}\n\n§aBuy §6x1 §2${item.name} §6= §2$${item.cost}\n§cSell §6x1 §2${item.name} §6= §2$${item.sell}\n\n§6Amount:`, `§6The Amount you want to Buy or Sell`)
    .toggle('§6SELL §f/§6 BUY', true);
    brick.show(player).then(res => {
    let dataCost = item.cost * res.formValues[0];
    let dataSell = item.sell * res.formValues[0];
    if (res.formValues[1] == true) {
    try{
    player.runCommand(`scoreboard players remove @s[scores={money=${dataCost}..}] money ${dataCost}`);
    player.runCommand(`gamerule sendcommandfeedback false`);
    player.runCommand(`give @s ${item.item} ${res.formValues[0]} ${item.data}`);
    player.runCommand(`gamerule sendcommandfeedback true`);
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You have bought §fx${res.formValues[0]} ${item.name} §a§l$${dataCost}"}]}`)}
    catch (e) {
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You do not have enough money"}]}`)}
    }
    if (res.formValues[1] == false) {
        player.runCommand(`tellraw @s[hasitem={item=${item.item},quantity=${res.formValues[0]}..}] {"rawtext":[{"text":"§r§6You have successfully sold §fx${res.formValues[0]} ${item.name} §a§l$${dataSell}"}]}`);
        player.runCommand(`scoreboard players add @s money ${dataSell}`);
        player.runCommand(`clear @s ${item.item} ${item.data} ${res.formValues[0]}`);
  }
   })
  });
};
//Chestplate
function Chestplate(player) {
  const gui = new ActionFormData();
  gui.title(`Chestplate`);
  gui.body(` \n§6Name : §5${
        player.name
      }\n§aMoney : §a$${getScore(
        player.name,
        "money"
      )}`)
  for (const item of ChestplateType) 
  gui.button(`§l${item.name}\n§r§aPrice: §f$${item.cost}`, 
  `${item.textures}`);
  gui.button('§l§cBACK', 'textures/blocks/barrier')
  gui.show(player).then(result => {
    if (result.isCanceled) 
    return;
    if (result.selection == 6) {
      EquipmentsUtilities(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
  const item = ChestplateType[result.selection];
  var score = getScore(player.name, money)
    let brick = new ModalFormData() 
    .title(`Chestplate`) 
    .textField(`\n§6Name: §5${player.nameTag}\n§aMoney: §a$${score}\n\n§aBuy §6x1 §2${item.name} §6= §2$${item.cost}\n§cSell §6x1 §2${item.name} §6= §2$${item.sell}\n\n§6Amount:`, `§6The Amount you want to Buy or Sell`)
    .toggle('§6SELL §f/§6 BUY', true);
    brick.show(player).then(res => {
    let dataCost = item.cost * res.formValues[0];
    let dataSell = item.sell * res.formValues[0];
    if (res.formValues[1] == true) {
    try{
    player.runCommand(`scoreboard players remove @s[scores={money=${dataCost}..}] money ${dataCost}`);
    player.runCommand(`gamerule sendcommandfeedback false`);
    player.runCommand(`give @s ${item.item} ${res.formValues[0]} ${item.data}`);
    player.runCommand(`gamerule sendcommandfeedback true`);
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You have bought §fx${res.formValues[0]} ${item.name} §a§l$${dataCost}"}]}`)}
    catch (e) {
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You do not have enough money"}]}`)}
    }
    if (res.formValues[1] == false) {
        player.runCommand(`tellraw @s[hasitem={item=${item.item},quantity=${res.formValues[0]}..}] {"rawtext":[{"text":"§r§6You have successfully sold §fx${res.formValues[0]} ${item.name} §a§l$${dataSell}"}]}`);
        player.runCommand(`scoreboard players add @s money ${dataSell}`);
        player.runCommand(`clear @s ${item.item} ${item.data} ${res.formValues[0]}`);
  }
   })
  });
};
//Leggings
function Leggings(player) {
  const gui = new ActionFormData();
  gui.title(`Leggings`);
  gui.body(` \n§6Name : §5${
        player.name
      }\n§aMoney : §a$${getScore(
        player.name,
        "money"
      )}`)
  for (const item of LeggingsType) 
  gui.button(`§l${item.name}\n§r§aPrice: §f$${item.cost}`, 
  `${item.textures}`);
  gui.button('§l§cBACK', 'textures/blocks/barrier')
  gui.show(player).then(result => {
    if (result.isCanceled) 
    return;
    if (result.selection == 6) {
      EquipmentsUtilities(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
  const item = LeggingsType[result.selection];
  var score = getScore(player.name, money)
    let brick = new ModalFormData() 
    .title(`Leggings`) 
    .textField(`\n§6Name: §5${player.nameTag}\n§aMoney: §a$${score}\n\n§aBuy §6x1 §2${item.name} §6= §2$${item.cost}\n§cSell §6x1 §2${item.name} §6= §2$${item.sell}\n\n§6Amount:`, `§6The Amount you want to Buy or Sell`)
    .toggle('§6SELL §f/§6 BUY', true);
    brick.show(player).then(res => {
    let dataCost = item.cost * res.formValues[0];
    let dataSell = item.sell * res.formValues[0];
    if (res.formValues[1] == true) {
    try{
    player.runCommand(`scoreboard players remove @s[scores={money=${dataCost}..}] money ${dataCost}`);
    player.runCommand(`gamerule sendcommandfeedback false`);
    player.runCommand(`give @s ${item.item} ${res.formValues[0]} ${item.data}`);
    player.runCommand(`gamerule sendcommandfeedback true`);
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You have bought §fx${res.formValues[0]} ${item.name} §a§l$${dataCost}"}]}`)}
    catch (e) {
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You do not have enough money"}]}`)}
    }
    if (res.formValues[1] == false) {
        player.runCommand(`tellraw @s[hasitem={item=${item.item},quantity=${res.formValues[0]}..}] {"rawtext":[{"text":"§r§6You have successfully sold §fx${res.formValues[0]} ${item.name} §a§l$${dataSell}"}]}`);
        player.runCommand(`scoreboard players add @s money ${dataSell}`);
        player.runCommand(`clear @s ${item.item} ${item.data} ${res.formValues[0]}`);
  }
   })
  });
};
//Boots
function Boots(player) {
  const gui = new ActionFormData();
  gui.title(`Boots`);
  gui.body(` \n§6Name : §5${
        player.name
      }\n§aMoney : §a$${getScore(
        player.name,
        "money"
      )}`)
  for (const item of BootsType) 
  gui.button(`§l${item.name}\n§r§aPrice: §f$${item.cost}`, 
  `${item.textures}`);
  gui.button('§l§cBACK', 'textures/blocks/barrier')
  gui.show(player).then(result => {
    if (result.isCanceled) 
    return;
    if (result.selection == 6) {
      EquipmentsUtilities(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
  const item = BootsType[result.selection];
  var score = getScore(player.name, money)
    let brick = new ModalFormData() 
    .title(`Boots`) 
    .textField(`\n§6Name: §5${player.nameTag}\n§aMoney: §a$${score}\n\n§aBuy §6x1 §2${item.name} §6= §2$${item.cost}\n§cSell §6x1 §2${item.name} §6= §2$${item.sell}\n\n§6Amount:`, `§6The Amount you want to Buy or Sell`)
    .toggle('§6SELL §f/§6 BUY', true);
    brick.show(player).then(res => {
    let dataCost = item.cost * res.formValues[0];
    let dataSell = item.sell * res.formValues[0];
    if (res.formValues[1] == true) {
    try{
    player.runCommand(`scoreboard players remove @s[scores={money=${dataCost}..}] money ${dataCost}`);
    player.runCommand(`gamerule sendcommandfeedback false`);
    player.runCommand(`give @s ${item.item} ${res.formValues[0]} ${item.data}`);
    player.runCommand(`gamerule sendcommandfeedback true`);
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You have bought §fx${res.formValues[0]} ${item.name} §a§l$${dataCost}"}]}`)}
    catch (e) {
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You do not have enough money"}]}`)}
    }
    if (res.formValues[1] == false) {
        player.runCommand(`tellraw @s[hasitem={item=${item.item},quantity=${res.formValues[0]}..}] {"rawtext":[{"text":"§r§6You have successfully sold §fx${res.formValues[0]} ${item.name} §a§l$${dataSell}"}]}`);
        player.runCommand(`scoreboard players add @s money ${dataSell}`);
        player.runCommand(`clear @s ${item.item} ${item.data} ${res.formValues[0]}`);
  }
   })
  });
};
//Sword
function Sword(player) {
  const gui = new ActionFormData();
  gui.title(`Sword`);
  gui.body(` \n§6Name : §5${
        player.name
      }\n§aMoney : §a$${getScore(
        player.name,
        "money"
      )}`)
  for (const item of SwordType) 
  gui.button(`§l${item.name}\n§r§aPrice: §f$${item.cost}`, 
  `${item.textures}`);
  gui.button('§l§cBACK', 'textures/blocks/barrier')
  gui.show(player).then(result => {
    if (result.isCanceled) 
    return;
    if (result.selection == 6) {
      EquipmentsUtilities(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
  const item = SwordType[result.selection];
  var score = getScore(player.name, money)
    let brick = new ModalFormData() 
    .title(`Sword`) 
    .textField(`\n§6Name: §5${player.nameTag}\n§aMoney: §a$${score}\n\n§aBuy §6x1 §2${item.name} §6= §2$${item.cost}\n§cSell §6x1 §2${item.name} §6= §2$${item.sell}\n\n§6Amount:`, `§6The Amount you want to Buy or Sell`)
    .toggle('§6SELL §f/§6 BUY', true);
    brick.show(player).then(res => {
    let dataCost = item.cost * res.formValues[0];
    let dataSell = item.sell * res.formValues[0];
    if (res.formValues[1] == true) {
    try{
    player.runCommand(`scoreboard players remove @s[scores={money=${dataCost}..}] money ${dataCost}`);
    player.runCommand(`gamerule sendcommandfeedback false`);
    player.runCommand(`give @s ${item.item} ${res.formValues[0]} ${item.data}`);
    player.runCommand(`gamerule sendcommandfeedback true`);
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You have bought §fx${res.formValues[0]} ${item.name} §a§l$${dataCost}"}]}`)}
    catch (e) {
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You do not have enough money"}]}`)}
    }
    if (res.formValues[1] == false) {
        player.runCommand(`tellraw @s[hasitem={item=${item.item},quantity=${res.formValues[0]}..}] {"rawtext":[{"text":"§r§6You have successfully sold §fx${res.formValues[0]} ${item.name} §a§l$${dataSell}"}]}`);
        player.runCommand(`scoreboard players add @s money ${dataSell}`);
        player.runCommand(`clear @s ${item.item} ${item.data} ${res.formValues[0]}`);
  }
   })
  });
};
//Axe
function Axe(player) {
  const gui = new ActionFormData();
  gui.title(`Axe`);
  gui.body(` \n§6Name : §5${
        player.name
      }\n§aMoney : §a$${getScore(
        player.name,
        "money"
      )}`)
  for (const item of AxeType) 
  gui.button(`§l${item.name}\n§r§aPrice: §f$${item.cost}`, 
  `${item.textures}`);
  gui.button('§l§cBACK', 'textures/blocks/barrier')
  gui.show(player).then(result => {
    if (result.isCanceled) 
    return;
    if (result.selection == 6) {
      EquipmentsUtilities(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
  const item = AxeType[result.selection];
  var score = getScore(player.name, money)
    let brick = new ModalFormData() 
    .title(`Axe`) 
    .textField(`\n§6Name: §5${player.nameTag}\n§aMoney: §a$${score}\n\n§aBuy §6x1 §2${item.name} §6= §2$${item.cost}\n§cSell §6x1 §2${item.name} §6= §2$${item.sell}\n\n§6Amount:`, `§6The Amount you want to Buy or Sell`)
    .toggle('§6SELL §f/§6 BUY', true);
    brick.show(player).then(res => {
    let dataCost = item.cost * res.formValues[0];
    let dataSell = item.sell * res.formValues[0];
    if (res.formValues[1] == true) {
    try{
    player.runCommand(`scoreboard players remove @s[scores={money=${dataCost}..}] money ${dataCost}`);
    player.runCommand(`gamerule sendcommandfeedback false`);
    player.runCommand(`give @s ${item.item} ${res.formValues[0]} ${item.data}`);
    player.runCommand(`gamerule sendcommandfeedback true`);
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You have bought §fx${res.formValues[0]} ${item.name} §a§l$${dataCost}"}]}`)}
    catch (e) {
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You do not have enough money"}]}`)}
    }
    if (res.formValues[1] == false) {
        player.runCommand(`tellraw @s[hasitem={item=${item.item},quantity=${res.formValues[0]}..}] {"rawtext":[{"text":"§r§6You have successfully sold §fx${res.formValues[0]} ${item.name} §a§l$${dataSell}"}]}`);
        player.runCommand(`scoreboard players add @s money ${dataSell}`);
        player.runCommand(`clear @s ${item.item} ${item.data} ${res.formValues[0]}`);
  }
   })
  });
};
//Pickaxe
function Pickaxe(player) {
  const gui = new ActionFormData();
  gui.title(`Pickaxe`);
  gui.body(` \n§6Name : §5${
        player.name
      }\n§aMoney : §a$${getScore(
        player.name,
        "money"
      )}`)
  for (const item of PickaxeType) 
  gui.button(`§l${item.name}\n§r§aPrice: §f$${item.cost}`, 
  `${item.textures}`);
  gui.button('§l§cBACK', 'textures/blocks/barrier')
  gui.show(player).then(result => {
    if (result.isCanceled) 
    return;
    if (result.selection == 6) {
      EquipmentsUtilities(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
  const item = PickaxeType[result.selection];
  var score = getScore(player.name, money)
    let brick = new ModalFormData() 
    .title(`Pickaxe`) 
    .textField(`\n§6Name: §5${player.nameTag}\n§aMoney: §a$${score}\n\n§aBuy §6x1 §2${item.name} §6= §2$${item.cost}\n§cSell §6x1 §2${item.name} §6= §2$${item.sell}\n\n§6Amount:`, `§6The Amount you want to Buy or Sell`)
    .toggle('§6SELL §f/§6 BUY', true);
    brick.show(player).then(res => {
    let dataCost = item.cost * res.formValues[0];
    let dataSell = item.sell * res.formValues[0];
    if (res.formValues[1] == true) {
    try{
    player.runCommand(`scoreboard players remove @s[scores={money=${dataCost}..}] money ${dataCost}`);
    player.runCommand(`gamerule sendcommandfeedback false`);
    player.runCommand(`give @s ${item.item} ${res.formValues[0]} ${item.data}`);
    player.runCommand(`gamerule sendcommandfeedback true`);
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You have bought §fx${res.formValues[0]} ${item.name} §a§l$${dataCost}"}]}`)}
    catch (e) {
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You do not have enough money"}]}`)}
    }
    if (res.formValues[1] == false) {
        player.runCommand(`tellraw @s[hasitem={item=${item.item},quantity=${res.formValues[0]}..}] {"rawtext":[{"text":"§r§6You have successfully sold §fx${res.formValues[0]} ${item.name} §a§l$${dataSell}"}]}`);
        player.runCommand(`scoreboard players add @s money ${dataSell}`);
        player.runCommand(`clear @s ${item.item} ${item.data} ${res.formValues[0]}`);
  }
   })
  });
};
//Shovel
function Shovel(player) {
  const gui = new ActionFormData();
  gui.title(`Shovel`);
  gui.body(` \n§6Name : §5${
        player.name
      }\n§aMoney : §a$${getScore(
        player.name,
        "money"
      )}`)
  for (const item of ShovelType) 
  gui.button(`§l${item.name}\n§r§aPrice: §f$${item.cost}`, 
  `${item.textures}`);
  gui.button('§l§cBACK', 'textures/blocks/barrier')
  gui.show(player).then(result => {
    if (result.isCanceled) 
    return;
    if (result.selection == 6) {
      EquipmentsUtilities(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
  const item = ShovelType[result.selection];
  var score = getScore(player.name, money)
    let brick = new ModalFormData() 
    .title(`Shovel`) 
    .textField(`\n§6Name: §5${player.nameTag}\n§aMoney: §a$${score}\n\n§aBuy §6x1 §2${item.name} §6= §2$${item.cost}\n§cSell §6x1 §2${item.name} §6= §2$${item.sell}\n\n§6Amount:`, `§6The Amount you want to Buy or Sell`)
    .toggle('§6SELL §f/§6 BUY', true);
    brick.show(player).then(res => {
    let dataCost = item.cost * res.formValues[0];
    let dataSell = item.sell * res.formValues[0];
    if (res.formValues[1] == true) {
    try{
    player.runCommand(`scoreboard players remove @s[scores={money=${dataCost}..}] money ${dataCost}`);
    player.runCommand(`gamerule sendcommandfeedback false`);
    player.runCommand(`give @s ${item.item} ${res.formValues[0]} ${item.data}`);
    player.runCommand(`gamerule sendcommandfeedback true`);
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You have bought §fx${res.formValues[0]} ${item.name} §a§l$${dataCost}"}]}`)}
    catch (e) {
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You do not have enough money"}]}`)}
    }
    if (res.formValues[1] == false) {
        player.runCommand(`tellraw @s[hasitem={item=${item.item},quantity=${res.formValues[0]}..}] {"rawtext":[{"text":"§r§6You have successfully sold §fx${res.formValues[0]} ${item.name} §a§l$${dataSell}"}]}`);
        player.runCommand(`scoreboard players add @s money ${dataSell}`);
        player.runCommand(`clear @s ${item.item} ${item.data} ${res.formValues[0]}`);
  }
   })
  });
};
//Hoe
function Hoe(player) {
  const gui = new ActionFormData();
  gui.title(`Hoe`);
  gui.body(` \n§6Name : §5${
        player.name
      }\n§aMoney : §a$${getScore(
        player.name,
        "money"
      )}`)
  for (const item of HoeType) 
  gui.button(`§l${item.name}\n§r§aPrice: §f$${item.cost}`, 
  `${item.textures}`);
  gui.button('§l§cBACK', 'textures/blocks/barrier')
  gui.show(player).then(result => {
    if (result.isCanceled) 
    return;
    if (result.selection == 6) {
      EquipmentsUtilities(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
  const item = HoeType[result.selection];
  var score = getScore(player.name, money)
    let brick = new ModalFormData() 
    .title(`Hoe`) 
    .textField(`\n§6Name: §5${player.nameTag}\n§aMoney: §a$${score}\n\n§aBuy §6x1 §2${item.name} §6= §2$${item.cost}\n§cSell §6x1 §2${item.name} §6= §2$${item.sell}\n\n§6Amount:`, `§6The Amount you want to Buy or Sell`)
    .toggle('§6SELL §f/§6 BUY', true);
    brick.show(player).then(res => {
    let dataCost = item.cost * res.formValues[0];
    let dataSell = item.sell * res.formValues[0];
    if (res.formValues[1] == true) {
    try{
    player.runCommand(`scoreboard players remove @s[scores={money=${dataCost}..}] money ${dataCost}`);
    player.runCommand(`gamerule sendcommandfeedback false`);
    player.runCommand(`give @s ${item.item} ${res.formValues[0]} ${item.data}`);
    player.runCommand(`gamerule sendcommandfeedback true`);
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You have bought §fx${res.formValues[0]} ${item.name} §a§l$${dataCost}"}]}`)}
    catch (e) {
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You do not have enough money"}]}`)}
    }
    if (res.formValues[1] == false) {
        player.runCommand(`tellraw @s[hasitem={item=${item.item},quantity=${res.formValues[0]}..}] {"rawtext":[{"text":"§r§6You have successfully sold §fx${res.formValues[0]} ${item.name} §a§l$${dataSell}"}]}`);
        player.runCommand(`scoreboard players add @s money ${dataSell}`);
        player.runCommand(`clear @s ${item.item} ${item.data} ${res.formValues[0]}`);
  }
   })
  });
};
//Utilities
function Utilities(player) {
  const gui = new ActionFormData();
  gui.title(`Utilities`);
  gui.body(` \n§6Name : §5${
        player.name
      }\n§aMoney : §a$${getScore(
        player.name,
        "money"
      )}`)
  for (const item of UtilitiesType) 
  gui.button(`§l${item.name}\n§r§aPrice: §f$${item.cost}`, 
  `${item.textures}`);
  gui.button('§l§cBACK', 'textures/blocks/barrier')
  gui.show(player).then(result => {
    if (result.isCanceled) 
    return;
    if (result.selection == 20) {
      EquipmentsUtilities(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
  const item = UtilitiesType[result.selection];
  var score = getScore(player.name, money)
    let brick = new ModalFormData() 
    .title(`Utilities`) 
    .textField(`\n§6Name: §5${player.nameTag}\n§aMoney: §a$${score}\n\n§aBuy §6x1 §2${item.name} §6= §2$${item.cost}\n§cSell §6x1 §2${item.name} §6= §2$${item.sell}\n\n§6Amount:`, `§6The Amount you want to Buy or Sell`)
    .toggle('§6SELL §f/§6 BUY', true);
    brick.show(player).then(res => {
    let dataCost = item.cost * res.formValues[0];
    let dataSell = item.sell * res.formValues[0];
    if (res.formValues[1] == true) {
    try{
    player.runCommand(`scoreboard players remove @s[scores={money=${dataCost}..}] money ${dataCost}`);
    player.runCommand(`gamerule sendcommandfeedback false`);
    player.runCommand(`give @s ${item.item} ${res.formValues[0]} ${item.data}`);
    player.runCommand(`gamerule sendcommandfeedback true`);
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You have bought §fx${res.formValues[0]} ${item.name} §a§l$${dataCost}"}]}`)}
    catch (e) {
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You do not have enough money"}]}`)}
    }
    if (res.formValues[1] == false) {
        player.runCommand(`tellraw @s[hasitem={item=${item.item},quantity=${res.formValues[0]}..}] {"rawtext":[{"text":"§r§6You have successfully sold §fx${res.formValues[0]} ${item.name} §a§l$${dataSell}"}]}`);
        player.runCommand(`scoreboard players add @s money ${dataSell}`);
        player.runCommand(`clear @s ${item.item} ${item.data} ${res.formValues[0]}`);
  }
   })
  });
};
//Raw Foods
function RawFood(player) {
  const gui = new ActionFormData();
  gui.title(`Raw Meat Food`);
  gui.body(` \n§6Name : §5${
        player.name
      }\n§aMoney : §a$${getScore(
        player.name,
        "money"
      )}`)
  for (const item of RawFoodType) 
  gui.button(`§l${item.name}\n§r§aPrice: §f$${item.cost}`, 
  `${item.textures}`);
  gui.button('§l§cBACK', 'textures/blocks/barrier')
  gui.show(player).then(result => {
    if (result.isCanceled) 
    return;
    if (result.selection == 4) {
      Foods(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
  const item = RawFoodType[result.selection];
  var score = getScore(player.name, money)
    let brick = new ModalFormData() 
    .title(`Raw Meat Food`) 
    .textField(`\n§6Name: §5${player.nameTag}\n§aMoney: §a$${score}\n\n§aBuy §6x1 §2${item.name} §6= §2$${item.cost}\n§cSell §6x1 §2${item.name} §6= §2$${item.sell}\n\n§6Amount:`, `§6The Amount you want to Buy or Sell`)
    .toggle('§6SELL §f/§6 BUY', true);
    brick.show(player).then(res => {
    let dataCost = item.cost * res.formValues[0];
    let dataSell = item.sell * res.formValues[0];
    if (res.formValues[1] == true) {
    try{
    player.runCommand(`scoreboard players remove @s[scores={money=${dataCost}..}] money ${dataCost}`);
    player.runCommand(`gamerule sendcommandfeedback false`);
    player.runCommand(`give @s ${item.item} ${res.formValues[0]} ${item.data}`);
    player.runCommand(`gamerule sendcommandfeedback true`);
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You have bought §fx${res.formValues[0]} ${item.name} §a§l$${dataCost}"}]}`)}
    catch (e) {
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You do not have enough money"}]}`)}
    }
    if (res.formValues[1] == false) {
        player.runCommand(`tellraw @s[hasitem={item=${item.item},quantity=${res.formValues[0]}..}] {"rawtext":[{"text":"§r§6You have successfully sold §fx${res.formValues[0]} ${item.name} §a§l$${dataSell}"}]}`);
        player.runCommand(`scoreboard players add @s money ${dataSell}`);
        player.runCommand(`clear @s ${item.item} ${item.data} ${res.formValues[0]}`);
  }
   })
  });
};
//Raw Foods
function CookedFood(player) {
  const gui = new ActionFormData();
  gui.title(`Cooked Meat Food`);
  gui.body(` \n§6Name : §5${
        player.name
      }\n§aMoney : §a$${getScore(
        player.name,
        "money"
      )}`)
  for (const item of CookedType) 
  gui.button(`§l${item.name}\n§r§aPrice: §f$${item.cost}`, 
  `${item.textures}`);
  gui.button('§l§cBACK', 'textures/blocks/barrier')
  gui.show(player).then(result => {
    if (result.isCanceled) 
    return;
    if (result.selection == 4) {
      Foods(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
  const item = CookedType[result.selection];
  var score = getScore(player.name, money)
    let brick = new ModalFormData() 
    .title(`Cooked Meat Food`) 
    .textField(`\n§6Name: §5${player.nameTag}\n§aMoney: §a$${score}\n\n§aBuy §6x1 §2${item.name} §6= §2$${item.cost}\n§cSell §6x1 §2${item.name} §6= §2$${item.sell}\n\n§6Amount:`, `§6The Amount you want to Buy or Sell`)
    .toggle('§6SELL §f/§6 BUY', true);
    brick.show(player).then(res => {
    let dataCost = item.cost * res.formValues[0];
    let dataSell = item.sell * res.formValues[0];
    if (res.formValues[1] == true) {
    try{
    player.runCommand(`scoreboard players remove @s[scores={money=${dataCost}..}] money ${dataCost}`);
    player.runCommand(`gamerule sendcommandfeedback false`);
    player.runCommand(`give @s ${item.item} ${res.formValues[0]} ${item.data}`);
    player.runCommand(`gamerule sendcommandfeedback true`);
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You have bought §fx${res.formValues[0]} ${item.name} §a§l$${dataCost}"}]}`)}
    catch (e) {
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You do not have enough money"}]}`)}
    }
    if (res.formValues[1] == false) {
        player.runCommand(`tellraw @s[hasitem={item=${item.item},quantity=${res.formValues[0]}..}] {"rawtext":[{"text":"§r§6You have successfully sold §fx${res.formValues[0]} ${item.name} §a§l$${dataSell}"}]}`);
        player.runCommand(`scoreboard players add @s money ${dataSell}`);
        player.runCommand(`clear @s ${item.item} ${item.data} ${res.formValues[0]}`);
  }
   })
  });
};
//Misc
function Miscellaneous(player) {
  const gui = new ActionFormData();
  gui.title(`Miscellaneous Food`);
  gui.body(` \n§6Name : §5${
        player.name
      }\n§aMoney : §a$${getScore(
        player.name,
        "money"
      )}`)
  for (const item of MiscellaneousType) 
  gui.button(`§l${item.name}\n§r§aPrice: §f$${item.cost}`, 
  `${item.textures}`);
  gui.button('§l§cBACK', 'textures/blocks/barrier')
  gui.show(player).then(result => {
    if (result.isCanceled) 
    return;
    if (result.selection == 10) {
      Foods(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
  const item = MiscellaneousType[result.selection];
  var score = getScore(player.name, money)
    let brick = new ModalFormData() 
    .title(`Miscellaneous Food`) 
    .textField(`\n§6Name: §5${player.nameTag}\n§aMoney: §a$${score}\n\n§aBuy §6x1 §2${item.name} §6= §2$${item.cost}\n§cSell §6x1 §2${item.name} §6= §2$${item.sell}\n\n§6Amount:`, `§6The Amount you want to Buy or Sell`)
    .toggle('§6SELL §f/§6 BUY', true);
    brick.show(player).then(res => {
    let dataCost = item.cost * res.formValues[0];
    let dataSell = item.sell * res.formValues[0];
    if (res.formValues[1] == true) {
    try{
    player.runCommand(`scoreboard players remove @s[scores={money=${dataCost}..}] money ${dataCost}`);
    player.runCommand(`gamerule sendcommandfeedback false`);
    player.runCommand(`give @s ${item.item} ${res.formValues[0]} ${item.data}`);
    player.runCommand(`gamerule sendcommandfeedback true`);
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You have bought §fx${res.formValues[0]} ${item.name} §a§l$${dataCost}"}]}`)}
    catch (e) {
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You do not have enough money"}]}`)}
    }
    if (res.formValues[1] == false) {
        player.runCommand(`tellraw @s[hasitem={item=${item.item},quantity=${res.formValues[0]}..}] {"rawtext":[{"text":"§r§6You have successfully sold §fx${res.formValues[0]} ${item.name} §a§l$${dataSell}"}]}`);
        player.runCommand(`scoreboard players add @s money ${dataSell}`);
        player.runCommand(`clear @s ${item.item} ${item.data} ${res.formValues[0]}`);
  }
   })
  });
};
//Seed
function FarmSeed(player) {
  const gui = new ActionFormData();
  gui.title(`Farm Seed`);
  gui.body(` \n§6Name : §5${
        player.name
      }\n§aMoney : §a$${getScore(
        player.name,
        "money"
      )}`)
  for (const item of FarmSeedType) 
  gui.button(`§l${item.name}\n§r§aPrice: §f$${item.cost}`, 
  `${item.textures}`);
  gui.button('§l§cBACK', 'textures/blocks/barrier')
  gui.show(player).then(result => {
    if (result.isCanceled) 
    return;
    if (result.selection == 4) {
      Foods(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
  const item = FarmSeedType[result.selection];
  var score = getScore(player.name, money)
    let brick = new ModalFormData() 
    .title(`Farm Seed`) 
    .textField(`\n§6Name: §5${player.nameTag}\n§aMoney: §a$${score}\n\n§aBuy §6x1 §2${item.name} §6= §2$${item.cost}\n§cSell §6x1 §2${item.name} §6= §2$${item.sell}\n\n§6Amount:`, `§6The Amount you want to Buy or Sell`)
    .toggle('§6SELL §f/§6 BUY', true);
    brick.show(player).then(res => {
    let dataCost = item.cost * res.formValues[0];
    let dataSell = item.sell * res.formValues[0];
    if (res.formValues[1] == true) {
    try{
    player.runCommand(`scoreboard players remove @s[scores={money=${dataCost}..}] money ${dataCost}`);
    player.runCommand(`gamerule sendcommandfeedback false`);
    player.runCommand(`give @s ${item.item} ${res.formValues[0]} ${item.data}`);
    player.runCommand(`gamerule sendcommandfeedback true`);
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You have bought §fx${res.formValues[0]} ${item.name} §a§l$${dataCost}"}]}`)}
    catch (e) {
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You do not have enough money"}]}`)}
    }
    if (res.formValues[1] == false) {
        player.runCommand(`tellraw @s[hasitem={item=${item.item},quantity=${res.formValues[0]}..}] {"rawtext":[{"text":"§r§6You have successfully sold §fx${res.formValues[0]} ${item.name} §a§l$${dataSell}"}]}`);
        player.runCommand(`scoreboard players add @s money ${dataSell}`);
        player.runCommand(`clear @s ${item.item} ${item.data} ${res.formValues[0]}`);
  }
   })
  });
};
//Crop
function FarmCrop(player) {
  const gui = new ActionFormData();
  gui.title(`Farm Crop`);
  gui.body(` \n§6Name : §5${
        player.name
      }\n§aMoney : §a$${getScore(
        player.name,
        "money"
      )}`)
  for (const item of FarmCropType) 
  gui.button(`§l${item.name}\n§r§aPrice: §f$${item.cost}`, 
  `${item.textures}`);
  gui.button('§l§cBACK', 'textures/blocks/barrier')
  gui.show(player).then(result => {
    if (result.isCanceled) 
    return;
    if (result.selection == 8) {
      Foods(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
  const item = FarmCropType[result.selection];
  var score = getScore(player.name, money)
    let brick = new ModalFormData() 
    .title(`Farm Crop`) 
    .textField(`\n§6Name: §5${player.nameTag}\n§aMoney: §a$${score}\n\n§aBuy §6x1 §2${item.name} §6= §2$${item.cost}\n§cSell §6x1 §2${item.name} §6= §2$${item.sell}\n\n§6Amount:`, `§6The Amount you want to Buy or Sell`)
    .toggle('§6SELL §f/§6 BUY', true);
    brick.show(player).then(res => {
    let dataCost = item.cost * res.formValues[0];
    let dataSell = item.sell * res.formValues[0];
    if (res.formValues[1] == true) {
    try{
    player.runCommand(`scoreboard players remove @s[scores={money=${dataCost}..}] money ${dataCost}`);
    player.runCommand(`gamerule sendcommandfeedback false`);
    player.runCommand(`give @s ${item.item} ${res.formValues[0]} ${item.data}`);
    player.runCommand(`gamerule sendcommandfeedback true`);
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You have bought §fx${res.formValues[0]} ${item.name} §a§l$${dataCost}"}]}`)}
    catch (e) {
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You do not have enough money"}]}`)}
    }
    if (res.formValues[1] == false) {
        player.runCommand(`tellraw @s[hasitem={item=${item.item},quantity=${res.formValues[0]}..}] {"rawtext":[{"text":"§r§6You have successfully sold §fx${res.formValues[0]} ${item.name} §a§l$${dataSell}"}]}`);
        player.runCommand(`scoreboard players add @s money ${dataSell}`);
        player.runCommand(`clear @s ${item.item} ${item.data} ${res.formValues[0]}`);
  }
   })
  });
};
//Sapling
function FarmSapling(player) {
  const gui = new ActionFormData();
  gui.title(`Farm Sapling`);
  gui.body(` \n§6Name : §5${
        player.name
      }\n§aMoney : §a$${getScore(
        player.name,
        "money"
      )}`)
  for (const item of SaplingType) 
  gui.button(`§l${item.name}\n§r§aPrice: §f$${item.cost}`, 
  `${item.textures}`);
  gui.button('§l§cBACK', 'textures/blocks/barrier')
  gui.show(player).then(result => {
    if (result.isCanceled) 
    return;
    if (result.selection == 10) {
      Foods(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
  const item = SaplingType[result.selection];
  var score = getScore(player.name, money)
    let brick = new ModalFormData() 
    .title(`Farm Sapling`) 
    .textField(`\n§6Name: §5${player.nameTag}\n§aMoney: §a$${score}\n\n§aBuy §6x1 §2${item.name} §6= §2$${item.cost}\n§cSell §6x1 §2${item.name} §6= §2$${item.sell}\n\n§6Amount:`, `§6The Amount you want to Buy or Sell`)
    .toggle('§6SELL §f/§6 BUY', true);
    brick.show(player).then(res => {
    let dataCost = item.cost * res.formValues[0];
    let dataSell = item.sell * res.formValues[0];
    if (res.formValues[1] == true) {
    try{
    player.runCommand(`scoreboard players remove @s[scores={money=${dataCost}..}] money ${dataCost}`);
    player.runCommand(`gamerule sendcommandfeedback false`);
    player.runCommand(`give @s ${item.item} ${res.formValues[0]} ${item.data}`);
    player.runCommand(`gamerule sendcommandfeedback true`);
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You have bought §fx${res.formValues[0]} ${item.name} §a§l$${dataCost}"}]}`)}
    catch (e) {
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You do not have enough money"}]}`)}
    }
    if (res.formValues[1] == false) {
        player.runCommand(`tellraw @s[hasitem={item=${item.item},quantity=${res.formValues[0]}..}] {"rawtext":[{"text":"§r§6You have successfully sold §fx${res.formValues[0]} ${item.name} §a§l$${dataSell}"}]}`);
        player.runCommand(`scoreboard players add @s money ${dataSell}`);
        player.runCommand(`clear @s ${item.item} ${item.data} ${res.formValues[0]}`);
  }
   })
  });
};
//Dyes
function Dyes(player) {
  const gui = new ActionFormData();
  gui.title(`Dyes`);
  gui.body(` \n§6Name : §5${
        player.name
      }\n§aMoney : §a$${getScore(
        player.name,
        "money"
      )}`)
  for (const item of DyesType) 
  gui.button(`§l${item.name}\n§r§aPrice: §f$${item.cost}`, 
  `${item.textures}`);
  gui.button('§l§cBACK', 'textures/blocks/barrier')
  gui.show(player).then(result => {
    if (result.isCanceled) 
    return;
    if (result.selection == 16) {
      Menu(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
  const item = DyesType[result.selection];
  var score = getScore(player.name, money)
    let brick = new ModalFormData() 
    .title(`Dyes`) 
    .textField(`\n§6Name: §5${player.nameTag}\n§aMoney: §a$${score}\n\n§aBuy §6x1 §2${item.name} §6= §2$${item.cost}\n§cSell §6x1 §2${item.name} §6= §2$${item.sell}\n\n§6Amount:`, `§6The Amount you want to Buy or Sell`)
    .toggle('§6SELL §f/§6 BUY', true);
    brick.show(player).then(res => {
    let dataCost = item.cost * res.formValues[0];
    let dataSell = item.sell * res.formValues[0];
    if (res.formValues[1] == true) {
    try{
    player.runCommand(`scoreboard players remove @s[scores={money=${dataCost}..}] money ${dataCost}`);
    player.runCommand(`gamerule sendcommandfeedback false`);
    player.runCommand(`give @s ${item.item} ${res.formValues[0]} ${item.data}`);
    player.runCommand(`gamerule sendcommandfeedback true`);
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You have bought §fx${res.formValues[0]} ${item.name} §a§l$${dataCost}"}]}`)}
    catch (e) {
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You do not have enough money"}]}`)}
    }
    if (res.formValues[1] == false) {
        player.runCommand(`tellraw @s[hasitem={item=${item.item},quantity=${res.formValues[0]}..}] {"rawtext":[{"text":"§r§6You have successfully sold §fx${res.formValues[0]} ${item.name} §a§l$${dataSell}"}]}`);
        player.runCommand(`scoreboard players add @s money ${dataSell}`);
        player.runCommand(`clear @s ${item.item} ${item.data} ${res.formValues[0]}`);
  }
   })
  });
};
//Ores
function Ores(player) {
  const gui = new ActionFormData();
  gui.title(`Ores`);
  gui.body(` \n§6Name : §5${
        player.name
      }\n§aMoney : §a$${getScore(
        player.name,
        "money"
      )}`)
  for (const item of OresType) 
  gui.button(`§l${item.name}\n§r§aPrice: §f$${item.cost}`, 
  `${item.textures}`);
  gui.button('§l§cBACK', 'textures/blocks/barrier')
  gui.show(player).then(result => {
    if (result.isCanceled) 
    return;
    if (result.selection == 10) {
      Menu(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
  const item = OresType[result.selection];
  var score = getScore(player.name, money)
    let brick = new ModalFormData() 
    .title(`Ores`) 
    .textField(`\n§6Name: §5${player.nameTag}\n§aMoney: §a$${score}\n\n§aBuy §6x1 §2${item.name} §6= §2$${item.cost}\n§cSell §6x1 §2${item.name} §6= §2$${item.sell}\n\n§6Amount:`, `§6The Amount you want to Buy or Sell`)
    .toggle('§6SELL §f/§6 BUY', true);
    brick.show(player).then(res => {
    let dataCost = item.cost * res.formValues[0];
    let dataSell = item.sell * res.formValues[0];
    if (res.formValues[1] == true) {
    try{
    player.runCommand(`scoreboard players remove @s[scores={money=${dataCost}..}] money ${dataCost}`);
    player.runCommand(`gamerule sendcommandfeedback false`);
    player.runCommand(`give @s ${item.item} ${res.formValues[0]} ${item.data}`);
    player.runCommand(`gamerule sendcommandfeedback true`);
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You have bought §fx${res.formValues[0]} ${item.name} §a§l$${dataCost}"}]}`)}
    catch (e) {
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You do not have enough money"}]}`)}
    }
    if (res.formValues[1] == false) {
        player.runCommand(`tellraw @s[hasitem={item=${item.item},quantity=${res.formValues[0]}..}] {"rawtext":[{"text":"§r§6You have successfully sold §fx${res.formValues[0]} ${item.name} §a§l$${dataSell}"}]}`);
        player.runCommand(`scoreboard players add @s money ${dataSell}`);
        player.runCommand(`clear @s ${item.item} ${item.data} ${res.formValues[0]}`);
  }
   })
  });
};
function MobDrops(player) {
  const gui = new ActionFormData();
  gui.title(`Mob Drops`);
  gui.body(` \n§6Name : §5${
        player.name
      }\n§aMoney : §a$${getScore(
        player.name,
        "money"
      )}`)
  for (const item of DropsType) 
  gui.button(`§l${item.name}\n§r§aPrice: §f$${item.cost}`, 
  `${item.textures}`);
  gui.button('§l§cBACK', 'textures/blocks/barrier')
  gui.show(player).then(result => {
    if (result.isCanceled) 
    return;
    if (result.selection == 16) {
      Menu(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
  const item = DropsType[result.selection];
  var score = getScore(player.name, money)
    let brick = new ModalFormData() 
    .title(`Mob Drops`) 
    .textField(`\n§6Name: §5${player.nameTag}\n§aMoney: §a$${score}\n\n§aBuy §6x1 §2${item.name} §6= §2$${item.cost}\n§cSell §6x1 §2${item.name} §6= §2$${item.sell}\n\n§6Amount:`, `§6The Amount you want to Buy or Sell`)
    .toggle('§6SELL §f/§6 BUY', true);
    brick.show(player).then(res => {
    let dataCost = item.cost * res.formValues[0];
    let dataSell = item.sell * res.formValues[0];
    if (res.formValues[1] == true) {
    try{
    player.runCommand(`scoreboard players remove @s[scores={money=${dataCost}..}] money ${dataCost}`);
    player.runCommand(`gamerule sendcommandfeedback false`);
    player.runCommand(`give @s ${item.item} ${res.formValues[0]} ${item.data}`);
    player.runCommand(`gamerule sendcommandfeedback true`);
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You have bought §fx${res.formValues[0]} ${item.name} §a§l$${dataCost}"}]}`)}
    catch (e) {
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You do not have enough money"}]}`)}
    }
    if (res.formValues[1] == false) {
        player.runCommand(`tellraw @s[hasitem={item=${item.item},quantity=${res.formValues[0]}..}] {"rawtext":[{"text":"§r§6You have successfully sold §fx${res.formValues[0]} ${item.name} §a§l$${dataSell}"}]}`);
        player.runCommand(`scoreboard players add @s money ${dataSell}`);
        player.runCommand(`clear @s ${item.item} ${item.data} ${res.formValues[0]}`);
  }
   })
  });
};
//Egg
function Animal(player) {
  const gui = new ActionFormData();
  gui.title(`Animal Mob`);
  gui.body(` \n§6Name : §5${
        player.name
      }\n§aMoney : §a$${getScore(
        player.name,
        "money"
      )}`)
  for (const item of AnimalType) 
  gui.button(`§l${item.name}\n§r§aPrice: §f$${item.cost}`, 
  `${item.textures}`);
  gui.button('§l§cBACK', 'textures/blocks/barrier')
  gui.show(player).then(result => {
    if (result.isCanceled) 
    return;
    if (result.selection == 11) {
      SpawnEggs(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
  const item = AnimalType[result.selection];
  var score = getScore(player.name, money)
    let brick = new ModalFormData() 
    .title(`Animal Mob`) 
    .textField(`\n§6Name: §5${player.nameTag}\n§aMoney: §a$${score}\n\n§aBuy §6x1 §2${item.name} §6= §2$${item.cost}\n§cSell §6x1 §2${item.name} §6= §2$${item.sell}\n\n§6Amount:`, `§6The Amount you want to Buy or Sell`)
    .toggle('§6SELL §f/§6 BUY', true);
    brick.show(player).then(res => {
    let dataCost = item.cost * res.formValues[0];
    let dataSell = item.sell * res.formValues[0];
    if (res.formValues[1] == true) {
    try{
    player.runCommand(`scoreboard players remove @s[scores={money=${dataCost}..}] money ${dataCost}`);
    player.runCommand(`gamerule sendcommandfeedback false`);
    player.runCommand(`give @s ${item.item} ${res.formValues[0]} ${item.data}`);
    player.runCommand(`gamerule sendcommandfeedback true`);
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You have bought §fx${res.formValues[0]} ${item.name} §a§l$${dataCost}"}]}`)}
    catch (e) {
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You do not have enough money"}]}`)}
    }
    if (res.formValues[1] == false) {
        player.runCommand(`tellraw @s[hasitem={item=${item.item},quantity=${res.formValues[0]}..}] {"rawtext":[{"text":"§r§6You have successfully sold §fx${res.formValues[0]} ${item.name} §a§l$${dataSell}"}]}`);
        player.runCommand(`scoreboard players add @s money ${dataSell}`);
        player.runCommand(`clear @s ${item.item} ${item.data} ${res.formValues[0]}`);
  }
   })
  });
};
function Undead(player) {
  const gui = new ActionFormData();
  gui.title(`Undead Mob`);
  gui.body(` \n§6Name : §5${
        player.name
      }\n§aMoney : §a$${getScore(
        player.name,
        "money"
      )}`)
  for (const item of UndeadType) 
  gui.button(`§l${item.name}\n§r§aPrice: §f$${item.cost}`, 
  `${item.textures}`);
  gui.button('§l§cBACK', 'textures/blocks/barrier')
  gui.show(player).then(result => {
    if (result.isCanceled) 
    return;
    if (result.selection == 7) {
      SpawnEggs(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
  const item = UndeadType[result.selection];
  var score = getScore(player.name, money)
    let brick = new ModalFormData() 
    .title(`Undead Mob`) 
    .textField(`\n§6Name: §5${player.nameTag}\n§aMoney: §a$${score}\n\n§aBuy §6x1 §2${item.name} §6= §2$${item.cost}\n§cSell §6x1 §2${item.name} §6= §2$${item.sell}\n\n§6Amount:`, `§6The Amount you want to Buy or Sell`)
    .toggle('§6SELL §f/§6 BUY', true);
    brick.show(player).then(res => {
    let dataCost = item.cost * res.formValues[0];
    let dataSell = item.sell * res.formValues[0];
    if (res.formValues[1] == true) {
    try{
    player.runCommand(`scoreboard players remove @s[scores={money=${dataCost}..}] money ${dataCost}`);
    player.runCommand(`gamerule sendcommandfeedback false`);
    player.runCommand(`give @s ${item.item} ${res.formValues[0]} ${item.data}`);
    player.runCommand(`gamerule sendcommandfeedback true`);
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You have bought §fx${res.formValues[0]} ${item.name} §a§l$${dataCost}"}]}`)}
    catch (e) {
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You do not have enough money"}]}`)}
    }
    if (res.formValues[1] == false) {
        player.runCommand(`tellraw @s[hasitem={item=${item.item},quantity=${res.formValues[0]}..}] {"rawtext":[{"text":"§r§6You have successfully sold §fx${res.formValues[0]} ${item.name} §a§l$${dataSell}"}]}`);
        player.runCommand(`scoreboard players add @s money ${dataSell}`);
        player.runCommand(`clear @s ${item.item} ${item.data} ${res.formValues[0]}`);
  }
   })
  });
};
function Spawner(player) {
  const gui = new ActionFormData();
  gui.title(`Spawner Mob`);
  gui.body(` \n§6Name : §5${
        player.name
      }\n§aMoney : §a$${getScore(
        player.name,
        "money"
      )}`)
  for (const item of SpawnerType) 
  gui.button(`§l${item.name}\n§r§aPrice: §f$${item.cost}`, 
  `${item.textures}`);
  gui.button('§l§cBACK', 'textures/blocks/barrier')
  gui.show(player).then(result => {
    if (result.isCanceled) 
    return;
    if (result.selection == 1) {
      SpawnEggs(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
  const item = SpawnerType[result.selection];
  var score = getScore(player.name, money)
    let brick = new ModalFormData() 
    .title(`Spawner Mob`) 
    .textField(`\n§6Name: §5${player.nameTag}\n§aMoney: §a$${score}\n\n§aBuy §6x1 §2${item.name} §6= §2$${item.cost}\n§cSell §6x1 §2${item.name} §6= §2$${item.sell}\n\n§6Amount:`, `§6The Amount you want to Buy or Sell`)
    .toggle('§6SELL §f/§6 BUY', true);
    brick.show(player).then(res => {
    let dataCost = item.cost * res.formValues[0];
    let dataSell = item.sell * res.formValues[0];
    if (res.formValues[1] == true) {
    try{
    player.runCommand(`scoreboard players remove @s[scores={money=${dataCost}..}] money ${dataCost}`);
    player.runCommand(`gamerule sendcommandfeedback false`);
    player.runCommand(`give @s ${item.item} ${res.formValues[0]} ${item.data}`);
    player.runCommand(`gamerule sendcommandfeedback true`);
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You have bought §fx${res.formValues[0]} ${item.name} §a§l$${dataCost}"}]}`)}
    catch (e) {
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You do not have enough money"}]}`)}
    }
    if (res.formValues[1] == false) {
        player.runCommand(`tellraw @s[hasitem={item=${item.item},quantity=${res.formValues[0]}..}] {"rawtext":[{"text":"§r§6You have successfully sold §fx${res.formValues[0]} ${item.name} §a§l$${dataSell}"}]}`);
        player.runCommand(`scoreboard players add @s money ${dataSell}`);
        player.runCommand(`clear @s ${item.item} ${item.data} ${res.formValues[0]}`);
  }
   })
  });
};
//P Category
function Bottle(player) {
  const gui = new ActionFormData();
  gui.title(`Bottle Potions`);
  gui.body(` \n§6Name : §5${
        player.name
      }\n§aMoney : §a$${getScore(
        player.name,
        "money"
      )}`)
  for (const item of BottleType) 
  gui.button(`§l${item.name}\n§r§aPrice: §f$${item.cost}`, 
  `${item.textures}`);
  gui.button('§l§cBACK', 'textures/blocks/barrier')
  gui.show(player).then(result => {
    if (result.isCanceled) 
    return;
    if (result.selection == 15) {
      Potions(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
  const item = BottleType[result.selection];
  var score = getScore(player.name, money)
    let brick = new ModalFormData() 
    .title(`Bottle Potions`) 
    .textField(`\n§6Name: §5${player.nameTag}\n§aMoney: §a$${score}\n\n§aBuy §6x1 §2${item.name} §6= §2$${item.cost}\n§cSell §6x1 §2${item.name} §6= §2$${item.sell}\n\n§6Amount:`, `§6The Amount you want to Buy or Sell`)
    .toggle('§6SELL §f/§6 BUY', true);
    brick.show(player).then(res => {
    let dataCost = item.cost * res.formValues[0];
    let dataSell = item.sell * res.formValues[0];
    if (res.formValues[1] == true) {
    try{
    player.runCommand(`scoreboard players remove @s[scores={money=${dataCost}..}] money ${dataCost}`);
    player.runCommand(`gamerule sendcommandfeedback false`);
    player.runCommand(`give @s ${item.item} ${res.formValues[0]} ${item.data}`);
    player.runCommand(`gamerule sendcommandfeedback true`);
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You have bought §fx${res.formValues[0]} ${item.name} §a§l$${dataCost}"}]}`)}
    catch (e) {
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You do not have enough money"}]}`)}
    }
    if (res.formValues[1] == false) {
        player.runCommand(`tellraw @s[hasitem={item=${item.item},quantity=${res.formValues[0]}..}] {"rawtext":[{"text":"§r§6You have successfully sold §fx${res.formValues[0]} ${item.name} §a§l$${dataSell}"}]}`);
        player.runCommand(`scoreboard players add @s money ${dataSell}`);
        player.runCommand(`clear @s ${item.item} ${item.data} ${res.formValues[0]}`);
  }
   })
  });
};
function Splash(player) {
  const gui = new ActionFormData();
  gui.title(`Splash Potions`);
  gui.body(` \n§6Name : §5${
        player.name
      }\n§aMoney : §a$${getScore(
        player.name,
        "money"
      )}`)
  for (const item of SplashType) 
  gui.button(`§l${item.name}\n§r§aPrice: §f$${item.cost}`, 
  `${item.textures}`);
  gui.button('§l§cBACK', 'textures/blocks/barrier')
  gui.show(player).then(result => {
    if (result.isCanceled) 
    return;
    if (result.selection == 15) {
      Potions(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
  const item = SplashType[result.selection];
  var score = getScore(player.name, money)
    let brick = new ModalFormData() 
    .title(`Splash Potions`) 
    .textField(`\n§6Name: §5${player.nameTag}\n§aMoney: §a$${score}\n\n§aBuy §6x1 §2${item.name} §6= §2$${item.cost}\n§cSell §6x1 §2${item.name} §6= §2$${item.sell}\n\n§6Amount:`, `§6The Amount you want to Buy or Sell`)
    .toggle('§6SELL §f/§6 BUY', true);
    brick.show(player).then(res => {
    let dataCost = item.cost * res.formValues[0];
    let dataSell = item.sell * res.formValues[0];
    if (res.formValues[1] == true) {
    try{
    player.runCommand(`scoreboard players remove @s[scores={money=${dataCost}..}] money ${dataCost}`);
    player.runCommand(`gamerule sendcommandfeedback false`);
    player.runCommand(`give @s ${item.item} ${res.formValues[0]} ${item.data}`);
    player.runCommand(`gamerule sendcommandfeedback true`);
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You have bought §fx${res.formValues[0]} ${item.name} §a§l$${dataCost}"}]}`)}
    catch (e) {
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You do not have enough money"}]}`)}
    }
    if (res.formValues[1] == false) {
        player.runCommand(`tellraw @s[hasitem={item=${item.item},quantity=${res.formValues[0]}..}] {"rawtext":[{"text":"§r§6You have successfully sold §fx${res.formValues[0]} ${item.name} §a§l$${dataSell}"}]}`);
        player.runCommand(`scoreboard players add @s money ${dataSell}`);
        player.runCommand(`clear @s ${item.item} ${item.data} ${res.formValues[0]}`);
  }
   })
  });
};
function Lingering(player) {
  const gui = new ActionFormData();
  gui.title(`Lingering Potions`);
  gui.body(` \n§6Name : §5${
        player.name
      }\n§aMoney : §a$${getScore(
        player.name,
        "money"
      )}`)
  for (const item of LingeringType) 
  gui.button(`§l${item.name}\n§r§aPrice: §f$${item.cost}`, 
  `${item.textures}`);
  gui.button('§l§cBACK', 'textures/blocks/barrier')
  gui.show(player).then(result => {
    if (result.isCanceled) 
    return;
    if (result.selection == 15) {
      Potions(player);
      player.runCommand(
        'playsound item.book.page_turn @s ~~+1~'
      )
    }
  const item = LingeringType[result.selection];
  var score = getScore(player.name, money)
    let brick = new ModalFormData() 
    .title(`Lingering Potions`) 
    .textField(`\n§6Name: §5${player.nameTag}\n§aMoney: §a$${score}\n\n§aBuy §6x1 §2${item.name} §6= §2$${item.cost}\n§cSell §6x1 §2${item.name} §6= §2$${item.sell}\n\n§6Amount:`, `§6The Amount you want to Buy or Sell`)
    .toggle('§6SELL §f/§6 BUY', true);
    brick.show(player).then(res => {
    let dataCost = item.cost * res.formValues[0];
    let dataSell = item.sell * res.formValues[0];
    if (res.formValues[1] == true) {
    try{
    player.runCommand(`scoreboard players remove @s[scores={money=${dataCost}..}] money ${dataCost}`);
    player.runCommand(`gamerule sendcommandfeedback false`);
    player.runCommand(`give @s ${item.item} ${res.formValues[0]} ${item.data}`);
    player.runCommand(`gamerule sendcommandfeedback true`);
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You have bought §fx${res.formValues[0]} ${item.name} §a§l$${dataCost}"}]}`)}
    catch (e) {
    player.runCommand(`tellraw @s {"rawtext":[{"text":"§r§6You do not have enough money"}]}`)}
    }
    if (res.formValues[1] == false) {
        player.runCommand(`tellraw @s[hasitem={item=${item.item},quantity=${res.formValues[0]}..}] {"rawtext":[{"text":"§r§6You have successfully sold §fx${res.formValues[0]} ${item.name} §a§l$${dataSell}"}]}`);
        player.runCommand(`scoreboard players add @s money ${dataSell}`);
        player.runCommand(`clear @s ${item.item} ${item.data} ${res.formValues[0]}`);
  }
   })
  });
};

function Transfer(player) {
        let playerObjects = []
        let operations = []
        let players = world.getPlayers()
        for (let playerr of players) {
            operations.push(playerr.name)
            playerObjects.push(playerr)
        }
        let gui = new ModalFormData()
        .title("Transfer Money")
        .dropdown("§6Select player",operations,0)
        .textField(`\n§6Name: §5${player.nameTag}\n§aMoney: §a$${getScore(player.name, money)}\n\n§6Amount:`, `The Amount you want to Transfer`)
        gui.show(player).then(reponse => {
            var target = operations[reponse.formValues[0]]
            var transfer = getScore(player.name, money)
            if ( Number(transfer) < Number(reponse.formValues[1]) ) {
                player.runCommand(`tellraw @s {"rawtext":[{"text":"§cYou don't have enough ${reponse.formValues[1]} money to send ${target}"}]}`)
                player.runCommand(`playsound note.bass @s ~~+1~`)
            } else {
                player.runCommand(`tellraw @s {"rawtext":[{"text":"§aSuccessfully Sent §6${target} : §2$${reponse.formValues[1]}"}]}`)
                player.runCommand(`tellraw "${target}" {"rawtext":[{"text":"§6${target} §ahas sent you : §2$${reponse.formValues[1]}"}]}`)
                player.runCommand(`scoreboard players remove @s money ${reponse.formValues[1]}`)
                player.runCommand(`scoreboard players add "${target}" money ${reponse.formValues[1]}`)
                player.runCommand(`playsound note.pling ${target} ~~+1~`)
            }
        })        
    }

/*
What are you doing here bro,
I intention you just to blasphemous, hate me, 
better you go of this file.

Gui inspiration (#MAFLY)
https://youtube.com/@MaFly16?si=LgQHyszWqsgALp48
*/
